﻿<?php
require 'config.inc.php';
require_login();
?>
<?php require 'header.inc.php'; ?>
<!-- content -->
<div class="container">
	<div class="jumbotron" style="padding: 20px 20px 20px 20px;">
		<div name="tab_remote" class="tab_remote">
		</div>
		<div class="tab_remote_config">
			<p>
				<input type="text" name="alias" style="width:200px; height:32px;" value="" maxlength="16" />
				<button type="button" name="rename" class="btn btn-default"><?php echo $zh ? "更改" : "rename";?></button>
				<button type="button" name="openurl" class="btn btn-default"><?php echo $zh ? "新窗口" : "open window";?></button>
				&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;
				<button type="button" class="btn btn-danger" onclick="research()"><?php echo $zh ? "搜索" : "research";?></button>
			</p>
		</div>
	</div>
	<iframe id="manager" name="manager" class="manager" scrolling="auto" frameborder="no" border="0" marginwidth=”0″ marginheight=”0″ src=""></iframe>
</div>
<script type="text/javascript">
$('#nav_manager').attr('class', 'active');

var host_alias = new Array();
var host_url = new Array();
var host_port = new Array();
var host_cnt = 0;
var host_id = -1;

function mx_get_config()
{
	if(arguments.length < 2)
		return;
	var str = 'get_json_config.php?key=' + mx_key + '&jsoncallback=?';
	str = arguments[0] + str;
	$.getJSON(str, {}, arguments[1]);

}

function mx_set_config()
{
	if(arguments.length < 3)
		return;
	var str = 'get_json_config.php?key=' + mx_key + '&jsoncallback=?';
	str = arguments[0] + str + "&alias=" + encodeURI(arguments[1]);
	$.getJSON(str, {}, arguments[2]);
}

function on_host_click(obj, id)
{
	$('button[name=btn_host]').attr('class', 'btn btn-default');
	obj.className = 'btn btn-primary';
	$('iframe[name=manager]').attr("src", "http://" + host_url[id] + "/switch.php?inner=1&key=" + mx_key);
	$('input[name=alias]').val(host_alias[id]);
	host_id = id;
}

function on_set_config(data)
{
	host_alias[host_id] = data[0];
	$('button[name=btn_host]')[host_id].innerHTML = data[0] + "<br>" + data[1];
}

$('button[name=rename]').bind("click", function(){
	if(host_id >= 0 && host_cnt >= 1)
		mx_set_config("http://" + host_url[host_id] + "/", $('input[name=alias]').val(), on_set_config);
});

$('button[name=openurl]').bind("click", function(){
	if(host_id >= 0 && host_cnt >= 1)
		window.open("http://" + host_url[host_id] + "/switch.php", "_blank");
});

function on_get_config(data)
{
	host_alias[host_cnt] = data[0];
	host_url[host_cnt] = data[1];
	host_port[host_cnt] = data[2];
	
	var html = $('div[name=tab_remote]').html();
	html += "<button type='button' name='btn_host' onclick='on_host_click(this," + host_cnt + ")' class='btn btn-default'>" + data[0] + "<br>" + data[1] + "</button>";
	$('div[name=tab_remote]').html(html);
	
	host_cnt++;
}

var host_index = 0;
function get_all_config()
{
	if(host_index >= 256)
		return;
	var port = mx_host.split(":");
	var ext = "";
	if(port.length == 2)
		ext = ":" + port[1];
	var ip = mx_host.split(".");
	if(ip.length == 4)
	{
		mx_get_config("http://"+ip[0]+"."+ip[1]+"."+ip[2]+"."+host_index+ext+"/", on_get_config);
		host_index++;
		window.setTimeout(get_all_config, 10);
	}
	else
		return;
}

function research()
{
	host_cnt = 0;
	host_id = -1;
	host_alias = new Array();
	host_url = new Array();
	host_port = new Array();
	$('div[name=tab_remote]').html("");
	host_index = 0;
	get_all_config();
}

function on_message(event)
{
	//alert(event.origin);
	//alert(event.data);
	if (isNaN(event.data)) return;
	var height = parseInt(event.data);
	$('iframe[name=manager]').height(height);
}

$(window).bind("load", function(){
	research();
	window.addEventListener('message', on_message, false);
});
</script>
<?php require 'footer.inc.php'; ?>
