﻿<?php
require('config.inc.php');

if((!$login) && isset($_GET['key']))
{
	login_check($_GET['key'], '', true);
}

require_login('admin');

$caption = get_caption();

function show_table_i()
{
	global $port;
	global $caption;
	for($i=1;$i<=$port;$i++)
	{
		if(isset($caption["input$i"]))
			$cap = htmlspecialchars($caption["input$i"]);
		else
			$cap = $i;
		printf("<button type='button' class=\"btn btn-default\"><span class=\"badge\">%d</span>$cap</button>\n", $i);
	}
}

function show_table_o()
{
	global $port;
	global $caption;
	for($i=1;$i<=$port;$i++)
	{
		if(isset($caption["output$i"]))
			$cap = htmlspecialchars($caption["output$i"]);
		else
			$cap = $i;
		printf("<button type='button' class=\"btn btn-default\"><span class=\"badge\">$i</span>$cap</button>\n");
	}
}

function show_table_s()
{
	global $scene;
	global $caption;
	for($i=1;$i<=$scene;$i++)
	{
		if(isset($caption["scene$i"]))
			$cap = htmlspecialchars($caption["scene$i"]);
		else
			$cap = $i;
		printf("<button id='btn_idx' class='btn btn-default'>$i : $cap</button>");
	}
}
?>
<?php require('header.inc.php'); ?>

<script type="text/javascript">
$('#nav_scene').attr('class', 'active');
</script>

<div class="container theme-showcase" role="main">
	<table>
		<tbody>
			<tr>
				<td class="sw_tab_canvas">
					<canvas id="canvas" width="480px" height="1200px" style="width:240px;height:600px"></canvas>
				</td>
				<td id="sw_tab_save" class="sw_tab_io">
					<?php show_table_s(); ?>
				</td>
				<td id="sw_tab_act" class="sw_tab_act">
					<button id="btn_save" style="width:150px;height:75px;margin:5px 5px 5px 5px;" type="button" class="btn btn-success"><?php echo $zh ? "保存" : "Save";?></button>
					<button id="btn_load" style="width:150px;height:75px;margin:5px 5px 5px 5px;" type="button" class="btn btn-success"><?php echo $zh ? "载入" : "Load";?></button>
					
					<a href="switch.php">
						<button id="btn_back" style="width:150px;height:75px;margin:15px 5px 5px 5px;" type="button" class="btn btn-default"><?php echo $zh ? "返回" : "Back";?></button>
					</a>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<script src="js/matrix.js"></script>
<script src="js/mx_scene.js"></script>
<script src="js/jcanvas.min.js"></script>
<?php require('footer.inc.php'); ?>
